package com.yxproject.start.entity;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "CARD_DETAILED_LIST", schema = "POST", catalog = "")
public class CardDetailedListEntity {
    private long cardDetailedListId;
    private String polistListId;
    private String uploadNo;
    private String note;
    private String fileName;
    private String policeCode;

    @Id
    @Column(name = "CARD_DETAILED_LIST_ID")
    public long getCardDetailedListId() {
        return cardDetailedListId;
    }

    public void setCardDetailedListId(long cardDetailedListId) {
        this.cardDetailedListId = cardDetailedListId;
    }

    @Basic
    @Column(name = "POLIST_LIST_ID")
    public String getPolistListId() {
        return polistListId;
    }

    public void setPolistListId(String polistListId) {
        this.polistListId = polistListId;
    }

    @Basic
    @Column(name = "UPLOAD_NO")
    public String getUploadNo() {
        return uploadNo;
    }

    public void setUploadNo(String uploadNo) {
        this.uploadNo = uploadNo;
    }

    @Basic
    @Column(name = "NOTE")
    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Basic
    @Column(name = "FILE_NAME")
    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Basic
    @Column(name = "POLICE_CODE")
    public String getPoliceCode() {
        return policeCode;
    }

    public void setPoliceCode(String policeCode) {
        this.policeCode = policeCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CardDetailedListEntity that = (CardDetailedListEntity) o;
        return cardDetailedListId == that.cardDetailedListId &&
                Objects.equals(polistListId, that.polistListId) &&
                Objects.equals(uploadNo, that.uploadNo) &&
                Objects.equals(note, that.note) &&
                Objects.equals(fileName, that.fileName) &&
                Objects.equals(policeCode, that.policeCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cardDetailedListId, polistListId, uploadNo, note, fileName, policeCode);
    }
}
